Bug 202112 - [patch] audio/qmpdclient: qt4-linguist -> qt4-linguisttools, use OPTIONS helpers
Summary: [patch] audio/qmpdclient: qt4-linguist -> qt4-linguisttools, use OPTIONS helpers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-05 21:02 UTC by Andriy Voskoboinyk
Modified: 2015-08-18 20:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (uyamba)


Attachments
Patch.diff (2.97 KB, patch)
2015-08-05 21:02 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (186 bytes, text/plain)
2015-08-05 21:02 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (140.30 KB, text/plain)
2015-08-05 21:02 UTC, Andriy Voskoboinyk
no flags Details
poudriere-10.1-amd64.log (147.97 KB, text/plain)
2015-08-05 21:08 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-08-05 21:02:13 UTC
Created attachment 159586 [details]
Patch.diff

- Use OPTIONS helpers.
- Use qt4-linguisttools (build time dependency) for NLS.
- Sort USES.
- Regenerate patches with 'make makepatch'.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-08-05 21:02:38 UTC
Created attachment 159587 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-08-05 21:02:51 UTC
Created attachment 159588 [details]
poudriere-9.3-i386.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-08-05 21:08:52 UTC
Created attachment 159589 [details]
poudriere-10.1-amd64.log
Comment 4 Philip M. Gollucci freebsd_committer 2015-08-12 01:51:40 UTC
Take.
Comment 5 commit-hook freebsd_committer 2015-08-18 20:02:45 UTC
A commit references this bug:

Author: pgollucci
Date: Tue Aug 18 20:02:36 UTC 2015
New revision: 394650
URL: https://svnweb.freebsd.org/changeset/ports/394650

Log:
  audio/qmpdclient: qt4-linguist -> qt4-linguisttools, use OPTIONS helpers

  - Use OPTIONS helpers.
  - Use qt4-linguisttools (build time dependency) for NLS.
  - Sort USES.
  - Regenerate patches with 'make makepatch'.

  PR:                  202112
  Submitted by:        s3erios@gmail.com
  Approved by:         uyamba@gmail.com

Changes:
  head/audio/qmpdclient/Makefile
  head/audio/qmpdclient/files/patch-qmpdclient.desktop
  head/audio/qmpdclient/files/patch-qmpdclient.pro
Comment 6 Philip M. Gollucci freebsd_committer 2015-08-18 20:07:34 UTC
Committed. Thanks!